1

Here is my My Chart.yaml file:

apiVersion: v2
name: pixer-microservice-infra
description: A Helm chart for Kubernetes
type: application
version: 0.1.0
appVersion: "1.16.0"
dependencies:
  - name: mongodb
    version: ~14.3.1
    repository: "@bitnami"
    alias: mongodb

After running commands:

helm dependency build .
helm upgrade <chart-name>

my mongodb pod has the status: CrashLoopBackOff

Checked pod logs: kubectl logs pod/<pod-name>

/opt/bitnami/scripts/libos.sh: line 346: 154 Illegal instruction "$@" > /dev/null 2>&1

uname -m: arm64

Is there any compatible issue between this chart and the CPU architecture?

1 Answer 1

1

Yes, mongodb 5 on x86 requires a cpu with avx, check your cpu flags of the kubernetes node with lscpu | grep avx

1
  • mongodb should check that and emit a proper error Nov 28, 2023 at 10:01

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.